<template>
  <v-row justify="center">
    <v-dialog
      v-model="dialog"
      persistent
      max-width="310"
    >
      <v-card>
        <v-card-title class="headline">
          Вы уверены, что хотите удалить статью?
        </v-card-title>
        <v-card-actions>
          <v-spacer />
          <v-btn
            color="green darken-1"
            text
            @click="cancelRemove()"
          >
            Отмена
          </v-btn>
          <v-btn
            color="red darken-1"
            text
            @click="remove()"
          >
            Подтвердить
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>
export default {
  data: () => ({
    dialog: false,
    idPost: null
  }),

  methods: {
    askRemove (idPost) {
      this.idPost = idPost
      this.dialog = !this.dialog
    },
    remove () {
      this.$emit('remove', this.idPost)
      this.closeModal()
    },
    cancelRemove () {
      this.closeModal()
    },
    closeModal () {
      this.dialog = false
    }
  }
}
</script>

<style lang="scss" scoped>
.v-application {
  .headline {
    word-break: normal;
    text-align: center;
  }
}
</style>
